> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/create-affiliate-user.md).

# Create Affiliate User

**Affiliate API Endpoint:**

`https://explodely.com/api/v1/aff`

Parameters:

To create an affiliate account on Explodely, send below parameters as POST to the affiliate API endpoint.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "createuser"

affusername - Username of affiliate account you wish to create

userpass - Password of affiliate account

fname - First name of affiliate user

lname - Last name of affiliate user&#x20;

email - Email of affiliate user

ipadd - IP address of affiliate user

Responses:

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"`field\_empty`"}` - This is returned when one or more fields provided are empty.

`{"error":"`username\_exists`"}` - This is returned when the provided affusername already exists in Explodely system. In that case, you can retry with a new affusername.

`{"`usercreated`":"ok"}` - This is returned when the affiliate account has been created.

Please confirm the account creation using a test and in case of any issues, contact Explodely support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/api/create-affiliate-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
